// Global Variables....
// Yes there are a lot but it's for optimisation ;)

#ifndef __VARIABLESH__
#define __VARIABLESH__

//#define PI 3.14159265358979323846264338327950288419716939937510f
#define RAYON 500

// Conversion in standar Julian time format
#define SECONDE 0.00001157407407407407407407407407407407407407407
#define MINUTE 0.00069444444444444444444444444444444444444444444
#define HEURE 0.04166666666666666666666666666666666666666666666

// Important variables (Position etc...)
float DE_Pointeur,RA_Pointeur;
float AzVision=0.0,AltVision=0.0, deltaRa=0.0,deltaDe=0.0,coefciel=0,RaZenith,DeZenith;
vec3_t XYZVision, Pointeur, XYZVisionAltAz(0,0,1);
float Ouv=60.0, deltaOuv=0;	// Ouv : Field of view
float Longitude=4.45f,Latitude=48.5f;
ObsInfo LeLieu(Longitude,Latitude, -2);
double JDay;	// Julian day

int winW = 800;
int winH = 600;

double ChampPrecalc;

bool FlagSol=true,FlagHorizon=true,FlagVoieLactee=true,FlagVoute=true,FlagLignes=false,FlagCiel=false, Flaganim=true, Flaganimmin=false, FlagSelect=false, FlagCardinaux=true, FlagTexte=true, FlagConst=false,FlagNomConst=false, FlagEquateurCeleste=false ,FlagEcliptique=false,FlagLignesAzimuth=false, FlagMenu=true, FlagTexteMenu=false, FlagHelp=false, FlagInfo=false, FlagPlanetes=true;

char *appName = "Stellarium for Windows v 0.3.1";

int font=(int)GLUT_BITMAP_8_BY_13;
char gameModeString[40] = "640x480";

int texIds[50];       // Textures numbers

int DeltaTemps, frame,timefr,timebase=0, timebase2=0;	// For FPS calc

char s[60];
char s2[60];

char infoEtoile[100]="Selection : -";

char sDate[50];
char sHeure[50];
char stexteMenu[50];

struct SELECT
{	float Mag;
	char * Nom;
	unsigned int HR;
	float RA,DE;
	int RAh,RAm;
	float RAs;
	vec3_t RGB;
}	EtoileSelectionnee;


#endif
