// constellation.h: interface for the constellation class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONSTELLATION_H__631B00C4_2D08_11D5_9986_00E04CDD336C__INCLUDED_)
#define AFX_CONSTELLATION_H__631B00C4_2D08_11D5_9986_00E04CDD336C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <gl/glut.h>
#include <fstream>
#include <iostream.h>
#include <math.h>
#include "Etoile.h"
#include "LesEtoiles.h"
#include "utilitaires.h"

extern int winH,winW;
extern int font;
extern float Ouv;
extern vec3_t XYZVision;

class constellation  
{
	friend class LesConstellations;
public:
	constellation();
	virtual ~constellation();
	int Lire(ifstream &, LesEtoiles & VouteCeleste_i);
	void Afficher();
	void AfficherSeule();
	void AfficherNom();
	void CalculeNom();
private:
	char Nom[22];
	char Abreviation[4];
	char Inter[20];
	float Xnom,Ynom,Znom;
	double x_c,y_c;
	int NbSegments;
	bool dansChamp;
	Etoile ** Dessin;
};

#endif // !defined(AFX_CONSTELLATION_H__631B00C4_2D08_11D5_9986_00E04CDD336C__INCLUDED_)
