// Etoile.h: interface for the Etoile class.
//
//////////////////////////////////////////////////////////////////////

#define RAYON 500

#if !defined(AFX_ETOILE_H__286D3161_287F_11D5_9986_00E04CDD336C__INCLUDED_)
#define AFX_ETOILE_H__286D3161_287F_11D5_9986_00E04CDD336C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <gl/glut.h>
#include <fstream>
#include <iostream.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "utilitaires.h"
#include "vector.h"

using namespace std ;

extern int texIds[50];
extern int winW,winH;
extern vec3_t XYZVision;
extern float coefciel, Ouv;
extern double ChampPrecalc;

class Etoile  
{
friend class LesEtoiles;
friend class constellation;
public:
	Etoile();
	virtual ~Etoile();
	int Lire(ifstream &);
	void Afficher(float MagLimite);
private:
	unsigned int HR;
	char Name[11];
	float Mag;
	vec3_t XYZ;
	vec3_t RGB;		// 3 composantes de couleur
	char SpType;
	float RaRad;
	float DecRad;
	float * matTransfo;
};

#endif // !defined(AFX_ETOILE_H__286D3161_287F_11D5_9986_00E04CDD336C__INCLUDED_)
