// LesEtoiles.h: interface for the LesEtoiles class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LESETOILES_H__C0ADC604_287B_11D5_9986_00E04CDD336C__INCLUDED_)
#define AFX_LESETOILES_H__C0ADC604_287B_11D5_9986_00E04CDD336C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <vector>
#include <iostream.h>
#include "Etoile.h"

using namespace std ;

class LesEtoiles  
{
public:
	LesEtoiles();
	virtual ~LesEtoiles();
	int Lire(ifstream &);
	void Afficher(float MagLimite);
	void Charger(char *);
	int Rechercher(float RA,float DE);
	Etoile * Rechercher(unsigned int);
	void InfoSelect(float & Ra,float & De,float & Mag,char * & Nom,unsigned int & HR, vec3_t & RGB) 
	{	Ra=(*Selectionnee).RaRad;
		De=(*Selectionnee).DecRad;
		Mag=(*Selectionnee).Mag;
		Nom=(*Selectionnee).Name;
		HR=(*Selectionnee).HR;
		RGB=(*Selectionnee).RGB;
	}


private:
	vector<Etoile*> Liste;
	Etoile * Selectionnee;
};

#endif // !defined(AFX_LESETOILES_H__C0ADC604_287B_11D5_9986_00E04CDD336C__INCLUDED_)
